# std::coroutine_handle<Promise>::address

From cppreference.com
< cpp‎ | coroutine‎ | coroutine handle

constexpr void* address() const noexcept; |  | (since C++20)

Returns the underlying address of the `coroutine_handle`. The return value is non-null if and only if the current value of the `coroutine_handle` is obtained from a promise object of a coroutine.

### Parameters

(none)

### Return value

The underlying address.

### Notes

The return value is non-null for specialization std::noop_coroutine_handle, because a `std::noop_coroutine_handle` cannot be created without referring to a no-op coroutine.

### See also

from_address [static] | imports a coroutine from a pointer (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/coroutine/coroutine_handle/address&oldid=162094"